# -*- encoding: utf-8 -*-
# stub: omniauth 1.3.1 ruby lib

Gem::Specification.new do |s|
  s.name = "omniauth"
  s.version = "1.3.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 1.3.5") if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib"]
  s.authors = ["Michael Bleigh", "Erik Michaels-Ober", "Tom Milewski"]
  s.date = "2015-12-20"
  s.description = "A generalized Rack framework for multiple-provider authentication."
  s.email = ["michael@intridea.com", "sferik@gmail.com", "tmilewski@gmail.com"]
  s.files = [".gitignore", ".rspec", ".rubocop.yml", ".travis.yml", ".yardopts", "Gemfile", "Gemfile.rack-1.3.x", "Gemfile.rack-master", "LICENSE.md", "README.md", "Rakefile", "lib/omniauth.rb", "lib/omniauth/auth_hash.rb", "lib/omniauth/builder.rb", "lib/omniauth/failure_endpoint.rb", "lib/omniauth/form.css", "lib/omniauth/form.rb", "lib/omniauth/strategies/developer.rb", "lib/omniauth/strategy.rb", "lib/omniauth/test.rb", "lib/omniauth/test/phony_session.rb", "lib/omniauth/test/strategy_macros.rb", "lib/omniauth/test/strategy_test_case.rb", "lib/omniauth/version.rb", "omniauth.gemspec"]
  s.homepage = "http://github.com/intridea/omniauth"
  s.licenses = ["MIT"]
  s.rubygems_version = "2.5.1"
  s.summary = "A generalized Rack framework for multiple-provider authentication."

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<hashie>, ["< 4", ">= 1.2"])
      s.add_runtime_dependency(%q<rack>, ["< 3", ">= 1.0"])
      s.add_development_dependency(%q<bundler>, ["~> 1.0"])
    else
      s.add_dependency(%q<hashie>, ["< 4", ">= 1.2"])
      s.add_dependency(%q<rack>, ["< 3", ">= 1.0"])
      s.add_dependency(%q<bundler>, ["~> 1.0"])
    end
  else
    s.add_dependency(%q<hashie>, ["< 4", ">= 1.2"])
    s.add_dependency(%q<rack>, ["< 3", ">= 1.0"])
    s.add_dependency(%q<bundler>, ["~> 1.0"])
  end
end

